<template>
  <nav class="breadcrumb">
    <span class="h5">Étape</span>
    <template v-for="crumb in crumbs" :key="crumb.id">
      <span class="separator" v-if="crumb.id !== 1">→</span>
      <span class="item"
        @click="goToCrumb(crumb)"
        :class="{ enabled: !isDisabled(crumb), active: isActive(crumb) }"
        :title="crumb.name">
        {{ crumb.id }}</span>
    </template>
  </nav>
</template>

<script lang="ts">
import { useStore } from '@/store'
import { defineComponent } from 'vue'
import { crumbs } from "@/utils/_crumbs";

export default defineComponent({
    name: 'Breadcrumb',
    setup: () => {

        const store = useStore();
        const isDisabled = (crumb) => {
          return !store.state.activeCrumbs.includes(crumb.id);
        }
        const isActive = (crumb) => {
          return store.state.currentCrumb.id === crumb.id;
        }
        const goToCrumb = (crumb) => {
          if (false === isDisabled(crumb)) {
            store.commit('setCurrentCrumb', crumbs[crumb.id - 1]);
            store.commit('showResults', crumb.id === 5);
          }
        }

        return {
            store,
            crumbs,
            isDisabled,
            isActive,
            goToCrumb
        }
    }
})
</script>

<style lang="scss" scoped>
</style>
